Skip to content

Create a risk rating job

Request

Creates a new risk rating job.

Security
oauth2_client_credentials or oauth2_authorization_code
Path
entitystringrequired

The entity id.

Query
individualEntityRiskRatingJobIdstring, [ 4 .. 63 ] characters(individual_entity_risk_rating_job_id)required

REQUIRED. The ID to use for the job, which will become the final component of the job's resource name. This value should be 4-63 characters, and valid characters are /[a-z][0-9]-/.

Bodyapplication/json

Required. The risk rating job to create.

namestring(name)

(IDENTIFIER) Output only. The resource name of the job. Format: entities/-/individualEntityRiskRatingJobs/{individual_entity_risk_rating_job} correct_name_format // name must follow format 'entities/-/individualEntityRiskRatingJobs/*'

curl -i -X POST \
  'https://docs.bndry.net/_mock/apis/openapi/v1alpha/entities/{entity}/individualEntityRiskRatingJobs?individualEntityRiskRatingJobId=pep-sanction-screen-001' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "name": "entities/-/individualEntityRiskRatingJobs/risk-rating-2024-0127-743891",
    "createTime": "2023-01-15T01:30:15.01Z",
    "updateTime": "2023-01-15T01:30:15.01Z"
  }'

Responses

Success

Bodyapplication/json
namestring(name)

(IDENTIFIER) Output only. The resource name of the job. Format: entities/-/individualEntityRiskRatingJobs/{individual_entity_risk_rating_job} correct_name_format // name must follow format 'entities/-/individualEntityRiskRatingJobs/*'

createTimestring, (date-time)(create_time)read-only

Output only. The timestamp when the job was created.

updateTimestring, (date-time)(update_time)read-only

Output only. The timestamp when the job was most recently updated.

Response
{ "name": "entities/-/individualEntityRiskRatingJobs/risk-rating-2024-0127-743891", "createTime": "2023-01-15T01:30:15.01Z", "updateTime": "2023-01-15T01:30:15.01Z" }